# UNAC

CC = cl
AR = lib

DLL = 0
DLLDEBUG = 0
GSDL_VC4 = 0

INCLUDES = -I. -DUNAC_VERSION=\"1.7.0\"
!IF $(GSDL_VC4)
CPPFLAGS = -GX
!ELSE
CPPFLAGS = -EHsc
!ENDIF

!IF $(DLL)
CPPFLAGS = $(CPPFLAGS) -MD 
!ELSE
!IF ($(DLLDEBUG))
CPPFLAGS = $(CPPFLAGS) -MDd
!ENDIF
!ENDIF


COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)
LINK = $(CC) -nologo $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
e = .exe

LIBS = $(ICONVLIB)

HEADERS = unac.h

SOURCES = unac.c 

OBJECTS = unac$o 

DEFS = 

all: libunac.lib

libunac.lib: $(OBJECTS)
	if EXIST libunac.lib del libunac.lib
	$(AR) -nologo /out:libunac.lib $(OBJECTS)

install: all

clean:
	del *.obj libunac.lib


